/*
polyprint.v1

No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package polyprintapi

import (
	"encoding/json"
)

// checks if the GetUserSSOLink200Response type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &GetUserSSOLink200Response{}

// GetUserSSOLink200Response struct for GetUserSSOLink200Response
type GetUserSSOLink200Response struct {
	Link interface{} `json:"link,omitempty"`
}

// NewGetUserSSOLink200Response instantiates a new GetUserSSOLink200Response object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewGetUserSSOLink200Response() *GetUserSSOLink200Response {
	this := GetUserSSOLink200Response{}
	return &this
}

// NewGetUserSSOLink200ResponseWithDefaults instantiates a new GetUserSSOLink200Response object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewGetUserSSOLink200ResponseWithDefaults() *GetUserSSOLink200Response {
	this := GetUserSSOLink200Response{}
	return &this
}

// GetLink returns the Link field value if set, zero value otherwise (both if not set or set to explicit null).
func (o *GetUserSSOLink200Response) GetLink() interface{} {
	if o == nil {
		var ret interface{}
		return ret
	}
	return o.Link
}

// GetLinkOk returns a tuple with the Link field value if set, nil otherwise
// and a boolean to check if the value has been set.
// NOTE: If the value is an explicit nil, `nil, true` will be returned
func (o *GetUserSSOLink200Response) GetLinkOk() (*interface{}, bool) {
	if o == nil || IsNil(o.Link) {
		return nil, false
	}
	return &o.Link, true
}

// HasLink returns a boolean if a field has been set.
func (o *GetUserSSOLink200Response) HasLink() bool {
	if o != nil && IsNil(o.Link) {
		return true
	}

	return false
}

// SetLink gets a reference to the given interface{} and assigns it to the Link field.
func (o *GetUserSSOLink200Response) SetLink(v interface{}) {
	o.Link = v
}

func (o GetUserSSOLink200Response) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o GetUserSSOLink200Response) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	if o.Link != nil {
		toSerialize["link"] = o.Link
	}
	return toSerialize, nil
}

type NullableGetUserSSOLink200Response struct {
	value *GetUserSSOLink200Response
	isSet bool
}

func (v NullableGetUserSSOLink200Response) Get() *GetUserSSOLink200Response {
	return v.value
}

func (v *NullableGetUserSSOLink200Response) Set(val *GetUserSSOLink200Response) {
	v.value = val
	v.isSet = true
}

func (v NullableGetUserSSOLink200Response) IsSet() bool {
	return v.isSet
}

func (v *NullableGetUserSSOLink200Response) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableGetUserSSOLink200Response(val *GetUserSSOLink200Response) *NullableGetUserSSOLink200Response {
	return &NullableGetUserSSOLink200Response{value: val, isSet: true}
}

func (v NullableGetUserSSOLink200Response) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableGetUserSSOLink200Response) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


